GNU bug report logs - #7657
TEXINFOS primary accepts too many prefixes

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake; Severity: wishlist; Reported by: Stefano Lattarini <stefano.lattarini@HIDDEN>; dated Thu, 16 Dec 2010 21:47:02 UTC; Maintainer for automake is bug-automake@HIDDEN.

Message received at 7657 <at> debbugs.gnu.org:


Received: (at 7657) by debbugs.gnu.org; 15 Sep 2011 11:39:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 15 07:39:29 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R4AHx-0004o1-0J
	for submit <at> debbugs.gnu.org; Thu, 15 Sep 2011 07:39:29 -0400
Received: from mail-wy0-f172.google.com ([74.125.82.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stefano.lattarini@HIDDEN>)
	id 1R4AHs-0004nk-7y; Thu, 15 Sep 2011 07:39:26 -0400
Received: by wyg24 with SMTP id 24so2305389wyg.3
	for <multiple recipients>; Thu, 15 Sep 2011 04:34:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=from:to:subject:date:user-agent:cc:references:in-reply-to
	:x-kmail-markup:mime-version:content-type:content-transfer-encoding
	:message-id; bh=7PmllUBXhpPdoF/UZDhTQHy20Gh3zJOBejvUC+b6odQ=;
	b=tPEpdBLf//vE3WwoBcKLQzETTGsY81jgSmrgg7p3P7GvhhAXTW+qxWzWBUSJfMnB0G
	DY+VKJ77MlcrGzBQk/5YVOpdfm4YDkGl4c+/yWBOwi4AgCfZ/ekfDSh7LbLM9iOZXdfW
	l2EZHmFZhk5MGsc1nx7P4MzgXx3Xd2b49CNgE=
Received: by 10.216.199.205 with SMTP id x55mr961509wen.42.1316086483778;
	Thu, 15 Sep 2011 04:34:43 -0700 (PDT)
Received: from bigio.localnet
	(host231-95-dynamic.244-95-r.retail.telecomitalia.it.
	[95.244.95.231])
	by mx.google.com with ESMTPS id er8sm7494315wbb.0.2011.09.15.04.34.41
	(version=TLSv1/SSLv3 cipher=OTHER);
	Thu, 15 Sep 2011 04:34:42 -0700 (PDT)
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
To: Sebastian Freundt <devel@HIDDEN>,
 9506 <at> debbugs.gnu.org
Subject: TEXINFOS primary and nodist_ (was: Re: makeinfo in VPATH builds fails)
Date: Thu, 15 Sep 2011 13:34:23 +0200
User-Agent: KMail/1.13.7 (Linux/2.6.30-2-686; KDE/4.6.5; i686; ; )
References: <81d3f35fxn.fsf@HIDDEN>
	<201109151142.27493.stefano.lattarini@HIDDEN>
	<87pqj2vz7y.fsf@HIDDEN>
In-Reply-To: <87pqj2vz7y.fsf@HIDDEN>
X-KMail-Markup: true
MIME-Version: 1.0
Content-Type: multipart/alternative; boundary="Boundary-01=_ALecOb0JrRy2I/Z"
Content-Transfer-Encoding: 7bit
Message-Id: <201109151334.24315.stefano.lattarini@HIDDEN>
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: 7657
Cc: bug-automake@HIDDEN, 7657 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.9 (---)

--Boundary-01=_ALecOb0JrRy2I/Z
Content-Type: text/plain;
  charset="utf-8"
Content-Transfer-Encoding: 7bit

Submitter: Sebastian Freundt <devel@HIDDEN>
thanks

Reference:
 <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9506>

On Thursday 15 September 2011, Sebastian Freundt wrote:
> Stefano Lattarini <stefano.lattarini@HIDDEN> writes:
>
> > The main point is that if you're distributing you `.info' files, you should
> > ensure that they are *not* rebuilt when building from a distribution tarball
> > (as that would wreak havoce with at least FreeBSD make).  OTOH, if you *want*
> > them to be rebuilt, you should *not* distribute them, and *also* add them to
> > CLEANFILES; in this case automake will build them in the buiilddir (if it
> > doesn't, than that's a bug we should fix ASAP).
> >
> > I've marked this bug closed as "wontfix", but feel free to continue the
> > discussion here if you have further doubts to clarify or ideas to contribute.
> 
> 
> Hi Stefano,
>
> I've followed your suggestions, and prefixed the TEXINFOS with `nodist_'
> and added them to CLEANFILES, however the .info file is now neither built
> nor installed (even upon make install-info).
>
Hmpf, yes, this is another limitation/incompatibility of the TEXINFOS
primary; the only ways TEXINFOS can by used are:

  # Will cause generation of foo.info, foo.pdf, etc.
  info_TEXINFOS = foo.texi
  # Will declare that these files ae required when building `foo.texi'
  foo_TEXINFOS = bar.texi baz.texi

So, when automake sees nodist_TEXINFOS, it thinks that it just lists extra
`.texi' files required by `nodist.texi' ... And it doesn't even warn that
`nodist.texi' is not really used anywhere!

There is already a bug report about this situation:
 <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7657>
but I had forgotten about it.  Thanks for reminding me!

> 
> In my case the .info files should be rebuilt and not distributed as they
> contain partially auto-generated content.
>
OK.  Maybe you might use a dist-hook to remove the `.info' files not
intended for distribution from the distdir, just before the distribution
tarball is created.  See:
 <http://www.gnu.org/software/automake/manual/html_node/The-dist-Hook.html>

> Another bug report?
>
Good idea.  I've already opened it (hopefully in your name, otherwise I'll
fix that later).
 
> Cheers
> Sebastian
> 

Thanks,
  Stefano

--Boundary-01=_ALecOb0JrRy2I/Z
Content-Type: text/html;
  charset="utf-8"
Content-Transfer-Encoding: 7bit

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN" "http://www.w3.org/TR/REC-html40/strict.dtd">
<html><head><meta name="qrichtext" content="1" /><style type="text/css">
p, li { white-space: pre-wrap; }
</style></head><body style=" font-family:'Bitstream Vera Sans Mono'; font-size:11pt; font-weight:400; font-style:normal;">
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Submitter: Sebastian Freundt &lt;devel@HIDDEN&gt;</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">thanks</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Reference:</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"> &lt;http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9506&gt;</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">On Thursday 15 September 2011, Sebastian Freundt wrote:</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; Stefano Lattarini &lt;stefano.lattarini@HIDDEN&gt; writes:</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt;</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; &gt; The main point is that if you're distributing you `.info' files, you should</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; &gt; ensure that they are *not* rebuilt when building from a distribution tarball</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; &gt; (as that would wreak havoce with at least FreeBSD make).  OTOH, if you *want*</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; &gt; them to be rebuilt, you should *not* distribute them, and *also* add them to</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; &gt; CLEANFILES; in this case automake will build them in the buiilddir (if it</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; &gt; doesn't, than that's a bug we should fix ASAP).</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; &gt;</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; &gt; I've marked this bug closed as &quot;wontfix&quot;, but feel free to continue the</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; &gt; discussion here if you have further doubts to clarify or ideas to contribute.</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; </p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; </p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; Hi Stefano,</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt;</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; I've followed your suggestions, and prefixed the TEXINFOS with `nodist_'</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; and added them to CLEANFILES, however the .info file is now neither built</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; nor installed (even upon make install-info).</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt;</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Hmpf, yes, this is another limitation/incompatibility of the TEXINFOS</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">primary; the only ways TEXINFOS can by used are:</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">  # Will cause generation of foo.info, foo.pdf, etc.</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">  info_TEXINFOS = foo.texi</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">  # Will declare that these files ae required when building `foo.texi'</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">  foo_TEXINFOS = bar.texi baz.texi</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">So, when automake sees nodist_TEXINFOS, it thinks that it just lists extra</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">`.texi' files required by `nodist.texi' ... And it doesn't even warn that</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">`nodist.texi' is not really used anywhere!</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">There is already a bug report about this situation:</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"> &lt;http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7657&gt;</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">but I had forgotten about it.  Thanks for reminding me!</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; </p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; In my case the .info files should be rebuilt and not distributed as they</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; contain partially auto-generated content.</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt;</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">OK.  Maybe you might use a dist-hook to remove the `.info' files not</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">intended for distribution from the distdir, just before the distribution</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">tarball is created.  See:</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"> &lt;http://www.gnu.org/software/automake/manual/html_node/The-dist-Hook.html&gt;</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; Another bug report?</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt;</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Good idea.  I've already opened it (hopefully in your name, otherwise I'll</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">fix that later).</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"> </p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; Cheers</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; Sebastian</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; </p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Thanks,</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">  Stefano</p></body></html>
--Boundary-01=_ALecOb0JrRy2I/Z--




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#7657; Package automake. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'TEXINFOS primary accepts too many prefixes' from 'TEXINFOS and MANS primaries accept too many prefixes' Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #7656 from all other report(s). Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 7657 <at> debbugs.gnu.org:


Received: (at 7657) by debbugs.gnu.org; 24 Dec 2010 11:11:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 06:11:17 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PW5YL-0000si-BK
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2010 06:11:17 -0500
Received: from mail-ww0-f46.google.com ([74.125.82.46])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1PW5YJ-0000sW-PR
	for 7657 <at> debbugs.gnu.org; Fri, 24 Dec 2010 06:11:16 -0500
Received: by wwj40 with SMTP id 40so7469361wwj.15
	for <7657 <at> debbugs.gnu.org>; Fri, 24 Dec 2010 03:17:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:from:to:subject:date
	:user-agent:cc:references:in-reply-to:mime-version:content-type
	:content-transfer-encoding:message-id;
	bh=NDEMjh47sQ3w7gmJg7ashvsCJvSmHLwNA/0RUXfSnm0=;
	b=vrBflyAUNI1D7kTmAQft/HsOL5NuG+YrH2DvMWdoO2+LkSq9Z52XV0GydOCUJHlyvX
	B3rS8ejQ5n2VBHtwV2Hqs9R8MZvqNdhWbsmlJqXlj7rdygVZWi4/uWUIhbQ8iDMInB5E
	0wMdJKkZBF+IC3ieCQmB0zEsB37+g6kkZ94Ao=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=from:to:subject:date:user-agent:cc:references:in-reply-to
	:mime-version:content-type:content-transfer-encoding:message-id;
	b=iVK3DvIfSxDdXaGuLET5QrEsjpOvZM3OoSTv/lYwt7ESEjJh2ofPERddKUg6yOwDsL
	3wGBSgx0271xWl2QhQjjtg4c7+bvHjGhldRZtLQ1ITQSKaY+A/bZ1ByjktVs6RnW/eDZ
	gxw+czb5X+9BY/857rMr9NS7y7xgG2F10eoM8=
Received: by 10.216.18.76 with SMTP id k54mr12814503wek.61.1293189475039;
	Fri, 24 Dec 2010 03:17:55 -0800 (PST)
Received: from bigio.localnet
	(host70-37-dynamic.52-82-r.retail.telecomitalia.it [82.52.37.70])
	by mx.google.com with ESMTPS id 7sm4235401wet.24.2010.12.24.03.17.52
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Fri, 24 Dec 2010 03:17:53 -0800 (PST)
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
To: 7657 <at> debbugs.gnu.org
Subject: Re: bug#7657: TEXINFOS and MANS primaries accepts too many prefixes
Date: Fri, 24 Dec 2010 12:17:09 +0100
User-Agent: KMail/1.13.3 (Linux/2.6.30-2-686; KDE/4.4.4; i686; ; )
References: <201012162252.11171.stefano.lattarini@HIDDEN>
	<201012211355.39757.stefano.lattarini@HIDDEN>
	<20101221194958.GE19835@HIDDEN>
In-Reply-To: <20101221194958.GE19835@HIDDEN>
MIME-Version: 1.0
Content-Type: Text/Plain;
  charset="us-ascii"
Content-Transfer-Encoding: 7bit
Message-Id: <201012241217.10485.stefano.lattarini@HIDDEN>
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: 7657
Cc: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.9 (---)

On Tuesday 21 December 2010, Ralf Wildenhues wrote:
> * Stefano Lattarini wrote on Tue, Dec 21, 2010 at 01:55:39PM CET:
> > Am I missing something here?  Because currently all of:
> > 
> >   pkglib_MANS = foo.1
> [...]
> >   inst_nobase_mylib_MANS = foo.1
> > 
> > do *not* cause foo.1 to be installed (might this be another automake
> > bug? I need to investigate).
> > 
> > And similarly, for texinfo, all of:
> > 
> >   pkglib_TEXINFOS = foo.texi
> [...]
> >   inst_nobase_mylib_TEXINFOS = foo.texi
> > 
> > do *not* cause foo.into to be even *built* with "make info"!  It gets
> > build only if one uses "info_TEXINFOS = foo.texi".
> 
> Ah.  I was missing something.  This changes the question quite a bit.
> If we don't take action upon all the other combinations, then it makes
> more sense to warn about them.  Thanks for the research!
>
Well, I should have done more research up front.  It's obvious that the
above does not work as I expected, because, reading from the automake
manual (not a literal excerpt):

  Sometimes an info file actually depends on more than one .texi file.
  For instance, in GNU Hello, hello.texi includes the file gpl.texi.
  You can tell Automake about these dependencies using a foo_TEXINFOS
  variable.  Here is how GNU Hello does it:
    info_TEXINFOS = hello.texi
    hello_TEXINFOS = gpl.texi

So there's no "real" bug here, just a badly chosen naming convention.
Maybe Automake might be modified to instead use something like:
    info_TEXINFOS = hello.texi
    hello_TEXINFOSOURCES = hello.texi gpl.texi
and/or:
    info_TEXINFOS = hello.texi
    EXTRA_hello_TEXINFOSOURCES = gpl.texi
and start to warn above the old TEXINFOS usage.  Then, starting from
Automake 1.13, the obsoleted "foo_TEXINFOS = bar.texi" idiom could
be removed.

An obvious advantage of this new convention would be its similarity
to the conventions already in place for the PROGRAMS and LIBRARIES
primaries.

Poll for automake users: would you find this new convention worthwhile,
or is the current behaviour Good Enough?

> > BTW, I'm going to merge this bug with bug#7656 (and then retitle both
> > of them), otherwise we will be forced to incur in a lot of useless
> > duplication among the two discussions.  Sorry for not havig reported
> > these two related issues with a single report right away.
> 
And now I'm going to (try to) separate the two bugs again, because, as
it just turned out, they really are about two completely unrelated
issues.  D'oh.

Regards,
   Stefano




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#7657; Package automake. Full text available.

Message received at 7657 <at> debbugs.gnu.org:


Received: (at 7657) by debbugs.gnu.org; 21 Dec 2010 19:43:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 21 14:43:30 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PV87O-0002Lg-AJ
	for submit <at> debbugs.gnu.org; Tue, 21 Dec 2010 14:43:30 -0500
Received: from mailout-de.gmx.net ([213.165.64.23] helo=mail.gmx.net)
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1PV87L-0002LU-S3
	for 7657 <at> debbugs.gnu.org; Tue, 21 Dec 2010 14:43:29 -0500
Received: (qmail invoked by alias); 21 Dec 2010 19:49:59 -0000
Received: from xdsl-89-0-66-75.netcologne.de (EHLO localhost.localdomain)
	[89.0.66.75]
	by mail.gmx.net (mp053) with SMTP; 21 Dec 2010 20:49:59 +0100
X-Authenticated: #13673931
X-Provags-ID: V01U2FsdGVkX19x4HMWMkNxiKPoOZbkquGoD8vxz6WDeeIL3Sv4SC
	8T2DQt6giyxKA6
Received: from ralf by localhost.localdomain with local (Exim 4.69)
	(envelope-from <Ralf.Wildenhues@HIDDEN>)
	id 1PV8De-0006m9-Hm; Tue, 21 Dec 2010 20:49:58 +0100
Date: Tue, 21 Dec 2010 20:49:58 +0100
From: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
To: Stefano Lattarini <stefano.lattarini@HIDDEN>
Subject: Re: TEXINFOS and MANS primaries accepts too many prefixes
Message-ID: <20101221194958.GE19835@HIDDEN>
References: <201012162252.11171.stefano.lattarini@HIDDEN>
	<201012171219.41302.stefano.lattarini@HIDDEN>
	<20101219110320.GF7020@HIDDEN>
	<201012211355.39757.stefano.lattarini@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <201012211355.39757.stefano.lattarini@HIDDEN>
Organization: Institute for Numerical Simulation, University of Bonn
User-Agent: Mutt/1.5.20 (2010-08-04)
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 7657
Cc: 7657 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

* Stefano Lattarini wrote on Tue, Dec 21, 2010 at 01:55:39PM CET:
> On Sunday 19 December 2010, Ralf Wildenhues wrote:
> > * Stefano Lattarini wrote on Fri, Dec 17, 2010 at 12:19:40PM CET:
> > >   xmandir = $(mandir) # we want info files installed in $(mandir) because ...
> > >   xman_TEXINFOS = foo.texi
> > 
> > This workaround is good, but if we require our users to rely on it more,
> > then I think it should also be documented better.  I didn't find
> > explicit mention of it in the manual.
> >
> Agreed.
> 
> > (And the inline comment is of course not ok ;-)
> >
> (Maybe it's time to deprecate them too in the manual ...)

I don't see how they were ever not problematic.  Well, at least given
the autoconf.texi general warnings about comments in makefiles.

> > > does not.  This is by design, and it's a good design IMHO.
> > 
> > OK, so I'm ok with excluding combinations that are obviously bogus (MANS
> > and TEXINFOS in bindir, for example, or TEXINFOS in mandir).  libdir is
> > questionable because with nobase_, packages can and do install all kinds
> > of stuff below $(libdir)/$(PACKAGE)
> >
> Am I missing something here?  Because currently all of:
> 
>   pkglib_MANS = foo.1
[...]
>   inst_nobase_mylib_MANS = foo.1
> 
> do *not* cause foo.1 to be installed (might this be another automake
> bug? I need to investigate).
> 
> And similarly, for texinfo, all of:
> 
>   pkglib_TEXINFOS = foo.texi
[...]
>   inst_nobase_mylib_TEXINFOS = foo.texi
> 
> do *not* cause foo.into to be even *built* with "make info"!  It gets
> build only if one uses "info_TEXINFOS = foo.texi".

Ah.  I was missing something.  This changes the question quite a bit.
If we don't take action upon all the other combinations, then it makes
more sense to warn about them.  Thanks for the research!

> BTW, I'm going to merge this bug with bug#7656 (and then retitle both
> of them), otherwise we will be forced to incur in a lot of useless
> duplication among the two discussions.  Sorry for not havig reported
> these two related issues with a single report right away.

Cool.

Thanks,
Ralf




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#7657; Package automake. Full text available.
Merged 7656 7657. Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'TEXINFOS and MANS primaries accept too many prefixes' from 'TEXINFOS primary accepts too many prefixes.' Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 7657 <at> debbugs.gnu.org:


Received: (at 7657) by debbugs.gnu.org; 21 Dec 2010 12:49:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 21 07:49:27 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PV1eg-0007v1-W3
	for submit <at> debbugs.gnu.org; Tue, 21 Dec 2010 07:49:27 -0500
Received: from mail-ww0-f46.google.com ([74.125.82.46])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1PV1ee-0007uk-GM
	for 7657 <at> debbugs.gnu.org; Tue, 21 Dec 2010 07:49:25 -0500
Received: by wwj40 with SMTP id 40so4213325wwj.15
	for <7657 <at> debbugs.gnu.org>; Tue, 21 Dec 2010 04:55:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:from:to:subject:date
	:user-agent:cc:references:in-reply-to:mime-version:message-id
	:content-type:content-transfer-encoding;
	bh=wFiYJwYYbABcmROXjeJ7oCmXjUk9H3v48pHHd0LGDGU=;
	b=w4OMWcupJN+Zrt1+tYz/DTGGUI3vDn2HVO3/RkgqIFuOtpAKtVpLSbsLLjPtwnoxON
	fcMXdYcaPTDEqnDrKujJRxgTjQhK5F5Dyf0CGNHpy917iVuSEZNan134zv3GTYS3lecK
	GgzG6AxfvMlORHwVeJBK2rqZ6vxEoEdeU5FsQ=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=from:to:subject:date:user-agent:cc:references:in-reply-to
	:mime-version:message-id:content-type:content-transfer-encoding;
	b=XHy7GIcRMg383rL/s3A0WYrlshk2mh9sAuwNY5byN2dzG3vQ6xPYBD1o4mXyBfKlma
	eix8uIIPZii10SORTNu5q4OjN7uDDqDcj1yFG3NbTlz1TOmSDM1E/hBCrydshRtE+mWn
	iArG2i44qz4XCFqzLR5y4b2ozu0Y2SpFHlzIw=
Received: by 10.216.188.141 with SMTP id a13mr1129886wen.59.1292936155779;
	Tue, 21 Dec 2010 04:55:55 -0800 (PST)
Received: from bigio.localnet
	(host81-43-dynamic.48-82-r.retail.telecomitalia.it [82.48.43.81])
	by mx.google.com with ESMTPS id m6sm2475209wej.10.2010.12.21.04.55.54
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Tue, 21 Dec 2010 04:55:54 -0800 (PST)
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
To: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
Subject: TEXINFOS and MANS primaries accepts too many prefixes (was: Re:
	bug#7657: TEXINFOS primary accepts too many prefixes.)
Date: Tue, 21 Dec 2010 13:55:39 +0100
User-Agent: KMail/1.13.3 (Linux/2.6.30-2-686; KDE/4.4.4; i686; ; )
References: <201012162252.11171.stefano.lattarini@HIDDEN>
	<201012171219.41302.stefano.lattarini@HIDDEN>
	<20101219110320.GF7020@HIDDEN>
In-Reply-To: <20101219110320.GF7020@HIDDEN>
MIME-Version: 1.0
Message-Id: <201012211355.39757.stefano.lattarini@HIDDEN>
Content-Type: Text/Plain;
  charset="utf-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 7657
Cc: 7657 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.5 (---)

On Sunday 19 December 2010, Ralf Wildenhues wrote:
> * Stefano Lattarini wrote on Fri, Dec 17, 2010 at 12:19:40PM CET:
> > On Friday 17 December 2010, Ralf Wildenhues wrote:
> > > For example, I can easily imagine a package having normal texinfo
> > > manuals, but also a developer's manual that maybe should end up
> > > in an internal directory elsewhere (or only its PDF?).  We aim to
> > > not just support strict GNU style packages.
> > >
> > Note that we won't really forbid it, we'll just require the developer
> > to be more explicit/verbose about what he's doing if that's a thing
> > that "smells fishy" to automake; for example, automake will be required
> > to error out on this:
> >   man_TEXINFOS =3D foo.texi
> > but not on this:
> >   xmandir =3D $(mandir) # we want info files installed in $(mandir) bec=
ause ...
> >   xman_TEXINFOS =3D foo.texi
>=20
> This workaround is good, but if we require our users to rely on it more,
> then I think it should also be documented better.  I didn't find
> explicit mention of it in the manual.
>
Agreed.

> (And the inline comment is of course not ok ;-)
>
(Maybe it's time to deprecate them too in the manual ...)

> > And note that the current automake already behaves this way with other
> > primaries such as `PROGRAMS', so that:
> >   lib_PROGRAMS =3D foo
> > gives an error, but:
> >   foodir =3D $(libdir)
> >   foo_PROGRAMS =3D foo
>=20
> This snippet is most likely not what you want, as it will cause foo to
> be installed at install-data rather than install-exec time.
>
Right.  It should have been something like:

  fooexecdir =3D $(libdir)
  fooexec_PROGRAMS =3D foo
=20
To quote the automake manual:
 ``Any variable using a user-defined directory prefix with =E2=80=98exec=E2=
=80=99 in the
   name (e.g., myexecbin_PROGRAMS) is installed by install-exec. All other
   user-defined prefixes are installed by install-data.''

> > does not.  This is by design, and it's a good design IMHO.
>=20
> OK, so I'm ok with excluding combinations that are obviously bogus (MANS
> and TEXINFOS in bindir, for example, or TEXINFOS in mandir).  libdir is
> questionable because with nobase_, packages can and do install all kinds
> of stuff below $(libdir)/$(PACKAGE)
>
Am I missing something here?  Because currently all of:

  pkglib_MANS =3D foo.1
  nobase_pkglib_MANS =3D foo.1
  inst_pkglib_MANS =3D foo.1
  inst_nobase_pkglib_MANS =3D foo.1
  mylibdir =3D $(libdir)/$(PACKAGE)
  mylib_MANS =3D foo.1
  nobase_mylib_MANS =3D foo.1
  inst_mylib_MANS =3D foo.1
  inst_nobase_mylib_MANS =3D foo.1

do *not* cause foo.1 to be installed (might this be another automake
bug? I need to investigate).

And similarly, for texinfo, all of:

  pkglib_TEXINFOS =3D foo.texi
  nobase_pkglib_TEXINFOS =3D foo.texi
  inst_pkglib_TEXINFOS =3D foo.texi
  inst_nobase_pkglib_TEXINFOS =3D foo.texi
  mylibdir =3D $(libdir)/$(PACKAGE)
  mylib_TEXINFOS =3D foo.texi
  nobase_mylib_TEXINFOS =3D foo.texi
  inst_mylib_TEXINFOS =3D foo.texi
  inst_nobase_mylib_TEXINFOS =3D foo.texi

do *not* cause foo.into to be even *built* with "make info"!  It gets
build only if one uses "info_TEXINFOS =3D foo.texi".  More investigation
needed.

> (or $(pkglibdir), but we do not require our users to use that name).
>
> Thanks,
> Ralf
>=20

BTW, I'm going to merge this bug with bug#7656 (and then retitle both
of them), otherwise we will be forced to incur in a lot of useless
duplication among the two discussions.  Sorry for not havig reported
these two related issues with a single report right away.

Regards,
   Stefano




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#7657; Package automake. Full text available.

Message received at 7657 <at> debbugs.gnu.org:


Received: (at 7657) by debbugs.gnu.org; 19 Dec 2010 10:56:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 19 05:56:57 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PUGwi-0007uz-NK
	for submit <at> debbugs.gnu.org; Sun, 19 Dec 2010 05:56:57 -0500
Received: from mailout-de.gmx.net ([213.165.64.23] helo=mail.gmx.net)
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1PUGwg-0007um-Gc
	for 7657 <at> debbugs.gnu.org; Sun, 19 Dec 2010 05:56:55 -0500
Received: (qmail invoked by alias); 19 Dec 2010 11:03:20 -0000
Received: from xdsl-89-0-87-89.netcologne.de (EHLO localhost.localdomain)
	[89.0.87.89]
	by mail.gmx.net (mp071) with SMTP; 19 Dec 2010 12:03:20 +0100
X-Authenticated: #13673931
X-Provags-ID: V01U2FsdGVkX1+wjzw/tzqw3/0erXLN1QYOXAzP0ptIg7977Iz7kO
	HinNb0GONU/80l
Received: from ralf by localhost.localdomain with local (Exim 4.69)
	(envelope-from <Ralf.Wildenhues@HIDDEN>)
	id 1PUH2u-0001wZ-Fs; Sun, 19 Dec 2010 12:03:20 +0100
Date: Sun, 19 Dec 2010 12:03:20 +0100
From: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
To: Stefano Lattarini <stefano.lattarini@HIDDEN>
Subject: Re: bug#7657: TEXINFOS primary accepts too many prefixes.
Message-ID: <20101219110320.GF7020@HIDDEN>
References: <201012162252.11171.stefano.lattarini@HIDDEN>
	<20101217054950.GA2910@HIDDEN>
	<201012171219.41302.stefano.lattarini@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <201012171219.41302.stefano.lattarini@HIDDEN>
Organization: Institute for Numerical Simulation, University of Bonn
User-Agent: Mutt/1.5.20 (2010-08-04)
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 7657
Cc: 7657 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

* Stefano Lattarini wrote on Fri, Dec 17, 2010 at 12:19:40PM CET:
> On Friday 17 December 2010, Ralf Wildenhues wrote:
> > For example, I can easily imagine a package having normal texinfo
> > manuals, but also a developer's manual that maybe should end up
> > in an internal directory elsewhere (or only its PDF?).  We aim to
> > not just support strict GNU style packages.
> >
> Note that we won't really forbid it, we'll just require the developer
> to be more explicit/verbose about what he's doing if that's a thing
> that "smells fishy" to automake; for example, automake will be required
> to error out on this:
>   man_TEXINFOS = foo.texi
> but not on this:
>   xmandir = $(mandir) # we want info files installed in $(mandir) because ...
>   xman_TEXINFOS = foo.texi

This workaround is good, but if we require our users to rely on it more,
then I think it should also be documented better.  I didn't find
explicit mention of it in the manual.
(And the inline comment is of course not ok ;-)

> And note that the current automake already behaves this way with other
> primaries such as `PROGRAMS', so that:
>   lib_PROGRAMS = foo
> gives an error, but:
>   foodir = $(libdir)
>   foo_PROGRAMS = foo

This snippet is most likely not what you want, as it will cause foo to
be installed at install-data rather than install-exec time.

> does not.  This is by design, and it's a good design IMHO.

OK, so I'm ok with excluding combinations that are obviously bogus (MANS
and TEXINFOS in bindir, for example, or TEXINFOS in mandir).  libdir is
questionable because with nobase_, packages can and do install all kinds
of stuff below $(libdir)/$(PACKAGE) (or $(pkglibdir), but we do not
require our users to use that name).

Thanks,
Ralf




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#7657; Package automake. Full text available.

Message received at 7657 <at> debbugs.gnu.org:


Received: (at 7657) by debbugs.gnu.org; 17 Dec 2010 11:13:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 17 06:13:25 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PTYFY-0006tI-Ux
	for submit <at> debbugs.gnu.org; Fri, 17 Dec 2010 06:13:25 -0500
Received: from mail-wy0-f172.google.com ([74.125.82.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1PTYFY-0006rf-0Y
	for 7657 <at> debbugs.gnu.org; Fri, 17 Dec 2010 06:13:24 -0500
Received: by mail-wy0-f172.google.com with SMTP id 23so522135wyf.3
	for <7657 <at> debbugs.gnu.org>; Fri, 17 Dec 2010 03:19:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:from:to:subject:date
	:user-agent:cc:references:in-reply-to:mime-version:content-type
	:content-transfer-encoding:message-id;
	bh=y2ZfD4kwiBFEIAhTntov1s6/LkSHuK4uF/ImMC8Asa8=;
	b=x7y4l+LxODu1IFrgY/tYZntVUf04aEqgmKISv+e4RzYgxnAV5mjrU8nmYPlD6f09h4
	gph8JltcAdRtwHr/hFA+vq4LVgUB7HmfdeZBPH9B0pfi4VALJPWRUrrckRF4pH63LuJD
	6iVIsONplVbj+uU7lnPvynXG1sy+iVZZ52IZY=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=from:to:subject:date:user-agent:cc:references:in-reply-to
	:mime-version:content-type:content-transfer-encoding:message-id;
	b=lj+wWJJnB8cHaFKMpJARRia+OCzTcLjzG/+G0FZpJyQLO3wP1x9qNf+JL7ANM1JFdJ
	d0VTfV/IZij6FfdVGulP6yeHRT7eP6CY3v72AtVWw8YV2v9kOJqtqwqudp62jXTAORlk
	o9H0Z/GfRZheGFdMH5FFusWTPsmfiiTWA0lB4=
Received: by 10.216.154.83 with SMTP id g61mr977863wek.87.1292584790144;
	Fri, 17 Dec 2010 03:19:50 -0800 (PST)
Received: from bigio.localnet
	(host11-8-dynamic.13-87-r.retail.telecomitalia.it [87.13.8.11])
	by mx.google.com with ESMTPS id e12sm104196wer.36.2010.12.17.03.19.48
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Fri, 17 Dec 2010 03:19:49 -0800 (PST)
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
To: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
Subject: Re: bug#7657: TEXINFOS primary accepts too many prefixes.
Date: Fri, 17 Dec 2010 12:19:40 +0100
User-Agent: KMail/1.13.3 (Linux/2.6.30-2-686; KDE/4.4.4; i686; ; )
References: <201012162252.11171.stefano.lattarini@HIDDEN>
	<20101217054950.GA2910@HIDDEN>
In-Reply-To: <20101217054950.GA2910@HIDDEN>
MIME-Version: 1.0
Content-Type: Text/Plain;
  charset="us-ascii"
Content-Transfer-Encoding: 7bit
Message-Id: <201012171219.41302.stefano.lattarini@HIDDEN>
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 7657
Cc: 7657 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

On Friday 17 December 2010, Ralf Wildenhues wrote:
> * Stefano Lattarini wrote on Thu, Dec 16, 2010 at 10:52:10PM CET:
> > Currently, the TEXINFOS primary accept *all* the standard automake
> > builtin prefix dirs (from `lib' and `bin' to `pkglibexec' and
> > `sysconf').
> > 
> > IMHO it should accept only the `info' prefix (maybe also `doc'? but
> > I'd rather say no).
> 
> Let's turn the question around: why cripple the developer unnecessarily?
> 
> The mind set is that: the user of a package is smarter than the
> developer (that's why the former should be able to override the
> configure settings etc), and the developer is smarter than the
> Automake developer: the latter cannot know all possible ways in
> which things may be put together.
> 
> The current target directory limitations result mostly from
> technical limitations.
>
> For example, I can easily imagine a package having normal texinfo
> manuals, but also a developer's manual that maybe should end up
> in an internal directory elsewhere (or only its PDF?).  We aim to
> not just support strict GNU style packages.
>
Note that we won't really forbid it, we'll just require the developer
to be more explicit/verbose about what he's doing if that's a thing
that "smells fishy" to automake; for example, automake will be required
to error out on this:
  man_TEXINFOS = foo.texi
but not on this:
  xmandir = $(mandir) # we want info files installed in $(mandir) because ...
  xman_TEXINFOS = foo.texi

And note that the current automake already behaves this way with other
primaries such as `PROGRAMS', so that:
  lib_PROGRAMS = foo
gives an error, but:
  foodir = $(libdir)
  foo_PROGRAMS = foo
does not.  This is by design, and it's a good design IMHO.

Regards,
   Stefano




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#7657; Package automake. Full text available.

Message received at 7657 <at> debbugs.gnu.org:


Received: (at 7657) by debbugs.gnu.org; 17 Dec 2010 05:43:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 17 00:43:34 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PTT6M-00071J-IN
	for submit <at> debbugs.gnu.org; Fri, 17 Dec 2010 00:43:34 -0500
Received: from mailout-de.gmx.net ([213.165.64.23] helo=mail.gmx.net)
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1PTT6K-000716-5a
	for 7657 <at> debbugs.gnu.org; Fri, 17 Dec 2010 00:43:33 -0500
Received: (qmail invoked by alias); 17 Dec 2010 05:49:51 -0000
Received: from xdsl-89-0-151-162.netcologne.de (EHLO localhost.localdomain)
	[89.0.151.162]
	by mail.gmx.net (mp039) with SMTP; 17 Dec 2010 06:49:51 +0100
X-Authenticated: #13673931
X-Provags-ID: V01U2FsdGVkX1/heCQBKi3hwESb7yS/Zh2VyEUiyw+HrsLljQ5rrO
	RtThIaMeZppA91
Received: from ralf by localhost.localdomain with local (Exim 4.69)
	(envelope-from <Ralf.Wildenhues@HIDDEN>)
	id 1PTTCQ-0000lC-F2; Fri, 17 Dec 2010 06:49:50 +0100
Date: Fri, 17 Dec 2010 06:49:50 +0100
From: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
To: Stefano Lattarini <stefano.lattarini@HIDDEN>
Subject: Re: bug#7657: TEXINFOS primary accepts too many prefixes.
Message-ID: <20101217054950.GA2910@HIDDEN>
References: <201012162252.11171.stefano.lattarini@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <201012162252.11171.stefano.lattarini@HIDDEN>
Organization: Institute for Numerical Simulation, University of Bonn
User-Agent: Mutt/1.5.20 (2010-08-04)
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 7657
Cc: 7657 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

* Stefano Lattarini wrote on Thu, Dec 16, 2010 at 10:52:10PM CET:
> Currently, the TEXINFOS primary accept *all* the standard automake
> builtin prefix dirs (from `lib' and `bin' to `pkglibexec' and
> `sysconf').
> 
> IMHO it should accept only the `info' prefix (maybe also `doc'? but
> I'd rather say no).

Let's turn the question around: why cripple the developer unnecessarily?

The mind set is that: the user of a package is smarter than the
developer (that's why the former should be able to override the
configure settings etc), and the developer is smarter than the
Automake developer: the latter cannot know all possible ways in
which things may be put together.

The current target directory limitations result mostly from
technical limitations.

For example, I can easily imagine a package having normal texinfo
manuals, but also a developer's manual that maybe should end up
in an internal directory elsewhere (or only its PDF?).  We aim to
not just support strict GNU style packages.

Cheers,
Ralf




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#7657; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Dec 2010 21:46:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 16 16:46:21 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PTLeX-0004zr-BI
	for submit <at> debbugs.gnu.org; Thu, 16 Dec 2010 16:46:21 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1PTLeW-0004zY-3Y
	for submit <at> debbugs.gnu.org; Thu, 16 Dec 2010 16:46:20 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1PTLkY-0001MK-EH
	for submit <at> debbugs.gnu.org; Thu, 16 Dec 2010 16:52:40 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW, T_DKIM_INVALID,
	T_TO_NO_BRKTS_FREEMAIL autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:54589)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1PTLkY-0001MF-B3
	for submit <at> debbugs.gnu.org; Thu, 16 Dec 2010 16:52:34 -0500
Received: from [140.186.70.92] (port=40089 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PTLkS-0007eM-7e
	for bug-automake@HIDDEN; Thu, 16 Dec 2010 16:52:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1PTLkM-0001Kc-9O
	for bug-automake@HIDDEN; Thu, 16 Dec 2010 16:52:28 -0500
Received: from mail-wy0-f169.google.com ([74.125.82.169]:63834)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1PTLkM-0001KY-2j
	for bug-automake@HIDDEN; Thu, 16 Dec 2010 16:52:22 -0500
Received: by wyj26 with SMTP id 26so22410wyj.0
	for <bug-automake@HIDDEN>; Thu, 16 Dec 2010 13:52:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:from:to:subject:date
	:user-agent:mime-version:content-type:content-transfer-encoding
	:message-id; bh=2GC2p1HWC7eciJLZ7iWi6iIXEJBdZdwhB/kZeUosQzA=;
	b=HZmiySmYyi0gnHkXmsA0Hxo4DZ+BR0Jtzu7Y18aITwdQN77mBvGkWVMtYGDVjBZVxa
	2ne9tNbmoA8N4/s2pW060ePJprbf8k84dV0+9f9PjQVPBKAodBROeyTLYNl/FCiUJweW
	Oaoxyh5RuiaHC2SbOtr4Vz9amNEn4AIMfF/wU=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=from:to:subject:date:user-agent:mime-version:content-type
	:content-transfer-encoding:message-id;
	b=C3mPMq7+SLc9dU7lKW27cARw6mqQNpZBG88gD2aH737dloJMabDGdG0jLZyHbsW6BR
	oCkBA3/Zckxvx3sdWaFGc3Ni/cUiLyh7Op/5Hly54jjAPBM4fg3zFsWZTORP3t4ZK1Iz
	86MZRAHWS5pMPGUaRLSVe9zO/1HXO5JX3UlWA=
Received: by 10.216.25.136 with SMTP id z8mr2829031wez.93.1292536341016;
	Thu, 16 Dec 2010 13:52:21 -0800 (PST)
Received: from bigio.localnet
	(host209-92-dynamic.248-95-r.retail.telecomitalia.it [95.248.92.209])
	by mx.google.com with ESMTPS id n3sm303294wer.30.2010.12.16.13.52.19
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Thu, 16 Dec 2010 13:52:20 -0800 (PST)
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
To: bug-automake@HIDDEN
Subject: TEXINFOS primary accepts too many prefixes.
Date: Thu, 16 Dec 2010 22:52:10 +0100
User-Agent: KMail/1.13.3 (Linux/2.6.30-2-686; KDE/4.4.4; i686; ; )
MIME-Version: 1.0
Content-Type: Text/Plain;
  charset="us-ascii"
Content-Transfer-Encoding: 7bit
Message-Id: <201012162252.11171.stefano.lattarini@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Spam-Score: -5.5 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.6 (-----)

Currently, the TEXINFOS primary accept *all* the standard automake
builtin prefix dirs (from `lib' and `bin' to `pkglibexec' and
`sysconf').

IMHO it should accept only the `info' prefix (maybe also `doc'? but
I'd rather say no).

Thanks,
   Stefano




Acknowledgement sent to Stefano Lattarini <stefano.lattarini@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-automake@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#7657; Package automake. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.